Subject: Re: Test breakage [Re: [ANNOUNCE] GIT 1.5.6.2]

From: Michael J Gruber <[email-masked]>
Date: Tue, 08 Jul 2008 11:47:45 +0200

Jeff King venit, vidit, dixit 08.07.2008 07:16:
> On Mon, Jul 07, 2008 at 02:44:49PM +0200, Michael J Gruber wrote:
> 
>> On Kubuntu 7.10 (not my choice, this is at work...), "make test" gives:
>>
>> *** t9600-cvsimport.sh ***
>> [...]
>> * FAIL 6: update git module
>>                 cd module-git &&
>>                 git cvsimport -a -z 0 module &&
>>                 git merge origin &&
>>                 cd .. &&
>>                 test_cmp module-cvs/o_fortuna module-git/o_fortuna
>>
>> On the second (and subsequent) run, "make test" succeeds. I tried again  
>> with a fresh copy from the tarball, same effect: failure on 1, success on 
>> 2 and following.
> 
> I tried reproducing on my Debian box with various weaks of $LANG, but I
> couldn't. Can you please try running "./t9600-cvsimport.sh -v -i" and
> send us the output of a failing instance. It's not clear which step in
> failing test is causing the problem, or if cvsps is giving off any
> useful errors.
> 
>> This is with LANG=de_DE.UTF-8, whereas with LANG=C the tests succeed the  
>> first time already. Are tests supposed to be done in C locale only? Do  
>> they reuse data from a previous test run? I didn't notice this with 
>> 1.5.6.1.
> 
> They should be perfectly repeatable, but I have run into problems in the
> past with cruft in my ~/.cvsps directory. However, we should be setting
> $HOME properly in t9600 to avoid this, so I'm not sure what the culprit
> is.

Sure enough, I can't reproduce it today. I reproduced that effect 
several times yesterday, or else I would not have reported anything. 
Trying the very same steps today the tests succeed on the first run. 
Only differences between yesterday and today are be:

- I installed git 1.5.6.2 now (had 1.5.6.1 before) under $HOME, with 
PATH, PERL5LIB, LD_LIBRARY_PATH set accordingly; but tests should pick 
up git stuff from the local build dir, right?

- There may have been an automated update to kubuntu meanwhile, but I 
don't think so; cvsps is under $HOME anyways, and what else would 
matter? Perl version maybe?

So it's WORKSFORME now. Sorry for the noise. Next time I'll not only try 
to reproduce (as I did) but wait a day also!

Best
Michael